commit:     bba3aa9acf5b9af1a3b05d75535214218dc0c2c7
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 30 22:23:17 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Jun 30 22:27:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bba3aa9a

app-emulation/docker-compose: 1.26.1

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.99, Repoman-2.3.22

 app-emulation/docker-compose/Manifest              |  1 +
 .../docker-compose/docker-compose-1.26.1.ebuild    | 72 ++++++++++++++++++++
 .../files/docker-compose-1.26.1-setup-py.patch     | 77 ++++++++++++++++++++++
 3 files changed, 150 insertions(+)

diff --git a/app-emulation/docker-compose/Manifest 
b/app-emulation/docker-compose/Manifest
index fdae55e9579..b4f1b066cab 100644
--- a/app-emulation/docker-compose/Manifest
+++ b/app-emulation/docker-compose/Manifest
@@ -1,3 +1,4 @@
 DIST docker-compose-1.25.4.tar.gz 306513 BLAKE2B 
86c779d794deca7ede0adc80041b17a96b21798d2807065e2c9ea804a95fcaf24a8b92fbcad6c7ce4d1b9d1fb3c9ad348b630e3f10bfd032202995a4c34ab019
 SHA512 
860153fb603d7efcc76535c9997446a2e6fe18f61769d4f05f51b531902a66072be11e3cff012ba80240b0a7802a032495a2a55e053a9784df92b82e5351b72e
 DIST docker-compose-1.25.5.tar.gz 308569 BLAKE2B 
5d5d1fd60f9bcb87f7e9628dbe10b275996f9af38fb8488a547f4cb5427e6f7aaac09a98a421a0c35a7c2c863713e5de9a490ad21adf080f74a7c3bc4336559b
 SHA512 
efe59bd5e82e12e63c82341ccf5ca11eaebd47c8154a50b40d39bc98ec48c37532919335172a5667f036bab4e884df950ebc4b4ccab8174200cc7ea6683bbbd7
 DIST docker-compose-1.26.0.tar.gz 313311 BLAKE2B 
dc70b7557ce0c51beb177a842f11e16b0e1c4f5ab31f03159b1ffb6f712b884f41bce651e673db63bda4908fd9e7d2c497da3c7568bf038471bad81626e28f25
 SHA512 
b388f8041b921a0d53d15a8fffb9a1f4d79f40e3eaae073fc043ae74189256a5a24eee9a3c63641e3bfbf43d484da806c2a7d732aad38966ba9fb60d8990f512
+DIST docker-compose-1.26.1.tar.gz 313459 BLAKE2B 
8320842047700bf5d38f48c21efeafc294f76505ee33c76fbcc0aba78156699bc2d6ec9cb9e52f99125c3eea0f6c4226eaccf850345cfcdc84327c582408e82a
 SHA512 
e655e4930991f0fa3dca07b6b314442dba11ad4203f0eb8ab7175cb25d6cb16aa846198a2e17d4efea5718e184f7d6b6558d5260a86f07855ff4f7791fe8a3b3

diff --git a/app-emulation/docker-compose/docker-compose-1.26.1.ebuild 
b/app-emulation/docker-compose/docker-compose-1.26.1.ebuild
new file mode 100644
index 00000000000..51d5c59583d
--- /dev/null
+++ b/app-emulation/docker-compose/docker-compose-1.26.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2018-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Multi-container orchestration for Docker"
+HOMEPAGE="https://github.com/docker/compose";
+SRC_URI="https://github.com/docker/compose/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/docker-py-4.2.2[${PYTHON_USEDEP}]
+       >=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
+       >=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
+       >=dev-python/python-dotenv-0.13.0[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
+       dev-python/paramiko[${PYTHON_USEDEP}]
+       >=dev-python/PySocks-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+       >=dev-python/texttable-0.9.0[${PYTHON_USEDEP}]
+       >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-python/pytest-5[${PYTHON_USEDEP}]
+               >=dev-python/ddt-1.2.2[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}/compose-${PV}"
+
+PATCHES=(
+       # Bug #679968 -- https://bugs.gentoo.org/679968
+       # Bug #681002 -- https://bugs.gentoo.org/681002
+       "${FILESDIR}"/${PN}-1.26.1-setup-py.patch
+)
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+       # Address QA issue "docker-compose.exe: missing alias (symlink) for 
completed command."
+       sed 's,^\(complete.*\) docker-compose\.exe\(.*\),\1\2,' -i 
contrib/completion/bash/docker-compose || die
+
+       default
+}
+
+python_test() {
+       distutils_install_for_testing
+       ${PYTHON} -m pytest tests/unit/ || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp contrib/completion/bash/docker-compose ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       doins contrib/completion/zsh/*
+
+       distutils-r1_python_install_all
+}

diff --git 
a/app-emulation/docker-compose/files/docker-compose-1.26.1-setup-py.patch 
b/app-emulation/docker-compose/files/docker-compose-1.26.1-setup-py.patch
new file mode 100644
index 00000000000..662e525551b
--- /dev/null
+++ b/app-emulation/docker-compose/files/docker-compose-1.26.1-setup-py.patch
@@ -0,0 +1,77 @@
+From 067109b44ae049c3f6d72c6dc80e387ff8750b17 Mon Sep 17 00:00:00 2001
+From: Sebastian Pipping <sebast...@pipping.org>
+Date: Tue, 30 Jun 2020 21:00:28 +0200
+Subject: [PATCH] setup.py: Drop generic upper version boundaries
+
+---
+ setup.py | 44 ++++++++++++++++++++++----------------------
+ 1 file changed, 22 insertions(+), 22 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index ac55ce4..dd69bba 100644
+--- a/setup.py
++++ b/setup.py
+@@ -30,38 +30,38 @@ def find_version(*file_paths):
+ 
+ 
+ install_requires = [
+-    'cached-property >= 1.2.0, < 2',
+-    'docopt >= 0.6.1, < 1',
+-    'PyYAML >= 3.10, < 6',
+-    'requests >= 2.20.0, < 3',
+-    'texttable >= 0.9.0, < 2',
+-    'websocket-client >= 0.32.0, < 1',
+-    'distro >= 1.5.0, < 2',
+-    'docker[ssh] >= 4.2.1, < 5',
+-    'dockerpty >= 0.4.1, < 1',
+-    'six >= 1.3.0, < 2',
+-    'jsonschema >= 2.5.1, < 4',
+-    'python-dotenv >= 0.13.0, < 1',
++    'cached-property >= 1.2.0',
++    'docopt >= 0.6.1',
++    'PyYAML >= 3.10',
++    'requests >= 2.20.0',
++    'texttable >= 0.9.0',
++    'websocket-client >= 0.32.0',
++    'distro >= 1.5.0',
++    'docker[ssh] >= 4.2.2',  # https://github.com/docker/compose/issues/7576
++    'dockerpty >= 0.4.1',
++    'six >= 1.3.0',
++    'jsonschema >= 2.5.1',
++    'python-dotenv >= 0.13.0',
+ ]
+ 
+ 
+ tests_require = [
+-    'ddt >= 1.2.2, < 2',
+-    'pytest < 6',
++    'ddt >= 1.2.2',
++    'pytest',
+ ]
+ 
+ 
+ if sys.version_info[:2] < (3, 4):
+-    tests_require.append('mock >= 1.0.1, < 4')
++    tests_require.append('mock >= 1.0.1')
+ 
+ extras_require = {
+-    ':python_version < "3.2"': ['subprocess32 >= 3.5.4, < 4'],
+-    ':python_version < "3.4"': ['enum34 >= 1.0.4, < 2'],
+-    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5, < 4'],
+-    ':python_version < "3.3"': ['backports.shutil_get_terminal_size == 1.0.0',
+-                                'ipaddress >= 1.0.16, < 2'],
+-    ':sys_platform == "win32"': ['colorama >= 0.4, < 1'],
+-    'socks': ['PySocks >= 1.5.6, != 1.5.7, < 2'],
++    ':python_version < "3.2"': ['subprocess32 >= 3.5.4'],
++    ':python_version < "3.4"': ['enum34 >= 1.0.4'],
++    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
++    ':python_version < "3.3"': ['backports.shutil_get_terminal_size >= 1.0.0',
++                                'ipaddress >= 1.0.16'],
++    ':sys_platform == "win32"': ['colorama >= 0.4'],
++    'socks': ['PySocks >= 1.5.6, != 1.5.7'],
+     'tests': tests_require,
+ }
+ 
+-- 
+2.26.2
+

Reply via email to